package com.engine.workflow.cmd.monitor;

package ..deTemp.1743399404739;

import com.api.browser.service.BrowserValueInfoService;
import com.engine.core.interceptor.Command;
import com.engine.core.interceptor.CommandContext;
import com.engine.workflow.biz.freeNode.FreeNodeBiz;
import com.engine.workflow.biz.freeNode.RequestFreeNodeFlowBiz;
import com.engine.workflow.entity.freeNode.FreeNodeEntity;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;
import javax.servlet.http.HttpServletRequest;
import weaver.conn.RecordSet;
import weaver.crm.Maint.CustomerInfoComInfo;
import weaver.general.BaseBean;
import weaver.general.Util;
import weaver.hrm.User;
import weaver.workflow.request.ComparatorUtilBean;
import weaver.workflow.request.RequestNodeFlow;

public class GetUsersCmd extends BaseBean implements Command<Map<String, Object>> {
  private HttpServletRequest request;
  
  private User user;
  
  public GetUsersCmd() {}
  
  public GetUsersCmd(HttpServletRequest paramHttpServletRequest, User paramUser) {
    this.request = paramHttpServletRequest;
    this.user = paramUser;
  }
  
  public Map<String, Object> execute(CommandContext paramCommandContext) {
    return getUsersByNodeid(this.request, this.user);
  }
  
  public Map<String, Object> getUsersByNodeid(HttpServletRequest paramHttpServletRequest, User paramUser) {
    HashMap<Object, Object> hashMap = new HashMap<>();
    ArrayList<Map<String, Object>> arrayList1 = new ArrayList();
    ArrayList<Map<String, Object>> arrayList2 = new ArrayList();
    int i = Util.getIntValue(paramHttpServletRequest.getParameter("requestid"), 0);
    int j = Util.getIntValue(paramHttpServletRequest.getParameter("nodeid"), 0);
    int k = Util.getIntValue(paramHttpServletRequest.getParameter("SignType"), 0);
    String str1 = Util.null2String(paramHttpServletRequest.getParameter("nodetype"));
    int m = Util.getIntValue(paramHttpServletRequest.getParameter("creater"), 0);
    int n = Util.getIntValue(paramHttpServletRequest.getParameter("creatertype"), 0);
    boolean bool = paramUser.getLogintype().equals("1") ? false : true;
    int i1 = Util.getIntValue(paramHttpServletRequest.getParameter("formid"), 0);
    int i2 = Util.getIntValue(paramHttpServletRequest.getParameter("isbill"), 0);
    int i3 = paramUser.getUID();
    int i4 = Util.getIntValue(paramHttpServletRequest.getParameter("workflowid"), 0);
    if ("0".equals(str1)) {
      Map<String, Object> map = BrowserValueInfoService.getUserInfo(m + "");
      if (n == 1)
        map = getCustomerUserInfo(m + ""); 
      map.put("IntervenoridType", Integer.valueOf(n));
      if (n == 1) {
        arrayList2.add(map);
      } else {
        arrayList1.add(map);
      } 
      hashMap.put("replacedatas", arrayList1);
      hashMap.put("replacedatas_crm", arrayList2);
      return (Map)hashMap;
    } 
    String str2 = "";
    String str3 = "1";
    RecordSet recordSet = new RecordSet();
    if (i2 == 1) {
      recordSet.execute("select tablename from workflow_bill where id = " + i1);
      if (recordSet.next())
        str2 = recordSet.getString("tablename"); 
    } 
    Hashtable<Object, Object> hashtable = new Hashtable<>();
    RequestNodeFlow requestNodeFlow = new RequestNodeFlow();
    boolean bool1 = false;
    if (FreeNodeBiz.isFreeNode(j)) {
      FreeNodeEntity freeNodeEntity = FreeNodeBiz.getCurrentFreeNodeEntity(i, j);
      bool1 = RequestFreeNodeFlowBiz.getNextNodeOperators(freeNodeEntity, requestNodeFlow, i);
    } else {
      requestNodeFlow.setRequestid(i);
      requestNodeFlow.setNextnodeid(j);
      requestNodeFlow.setNextnodetype(str1);
      requestNodeFlow.setWorkflowid(i4);
      requestNodeFlow.setUserid(i3);
      requestNodeFlow.setUsertype(bool);
      requestNodeFlow.setCreaterid(m);
      requestNodeFlow.setCreatertype(n);
      requestNodeFlow.setIsbill(i2);
      requestNodeFlow.setBillid(getBillid(i, str2));
      requestNodeFlow.setBilltablename(str2);
      requestNodeFlow.setRecordSet(new RecordSet());
      requestNodeFlow.setIsreject(0);
      requestNodeFlow.setIsintervenor(str3);
      requestNodeFlow.setUser(paramUser);
      bool1 = requestNodeFlow.getNextOperator();
    } 
    if (bool1) {
      hashtable = requestNodeFlow.getOperators();
      int i5 = requestNodeFlow.getNextNodeid();
      ArrayList<String> arrayList = new ArrayList();
      if (j == i5 && 
        hashtable.size() > 0) {
        TreeMap<Object, Object> treeMap = new TreeMap<>((Comparator<?>)new ComparatorUtilBean());
        Enumeration<String> enumeration = hashtable.keys();
        while (enumeration.hasMoreElements()) {
          String str = enumeration.nextElement();
          ArrayList arrayList3 = (ArrayList)hashtable.get(str);
          treeMap.put(str, arrayList3);
        } 
        Iterator<String> iterator = treeMap.keySet().iterator();
        while (iterator.hasNext()) {
          String str = iterator.next();
          ArrayList<String> arrayList3 = (ArrayList)hashtable.get(str);
          for (byte b = 0; b < arrayList3.size(); b++) {
            String str4 = arrayList3.get(b);
            String[] arrayOfString = Util.TokenizerString2(str4, "_");
            String str5 = arrayOfString[0];
            String str6 = arrayOfString[1];
            String str7 = arrayOfString[3];
            String str8 = str5 + ":" + str6;
            if (!arrayList.contains(str8) && !"0".equals(str5)) {
              arrayList.add(str8);
              if (!str7.equals("-3") && !str7.equals("-4")) {
                Map<String, Object> map = BrowserValueInfoService.getUserInfo(str5);
                if ("1".equals(str6))
                  map = getCustomerUserInfo(str5); 
                map.put("IntervenoridType", str7);
                if ("1".equals(map.get("usertype"))) {
                  arrayList2.add(map);
                } else {
                  arrayList1.add(map);
                } 
              } 
            } 
          } 
        } 
      } 
    } 
    hashMap.put("replacedatas", arrayList1);
    if (k == 2)
      arrayList2 = new ArrayList<>(); 
    hashMap.put("replacedatas_crm", arrayList2);
    return (Map)hashMap;
  }
  
  public int getBillid(int paramInt, String paramString) {
    RecordSet recordSet = new RecordSet();
    int i = 0;
    recordSet.executeQuery("select id from " + paramString + " where requestid = " + paramInt, new Object[0]);
    if (recordSet.next())
      i = recordSet.getInt("id"); 
    return i;
  }
  
  private Map<String, Object> getCustomerUserInfo(String paramString) {
    HashMap<Object, Object> hashMap = new HashMap<>();
    try {
      CustomerInfoComInfo customerInfoComInfo = new CustomerInfoComInfo();
      hashMap.put("id", paramString);
      hashMap.put("name", customerInfoComInfo.getCustomerInfoname(paramString));
      hashMap.put("usertype", "1");
    } catch (Exception exception) {
      exception.printStackTrace();
    } 
    return (Map)hashMap;
  }
}
